Subject: bug#2153: 23.0.90; NS: Hang with do-applescript

From: Andrew Hyatt <[email-masked]>
Date: Sun, 10 Jan 2016 22:35:39 -0500

This seems to be fixed in El Capitan (and I imagine, some amount of
releases before this). I'm going to mark this as unreproducible, but
someone please let me know if this still exists. If no one responds in a
few weeks, I'll close this bug.

Adrian Robert <[email-masked]> writes:

> This likely indicates a problem with the ns-do-applescript implementation when
> modal dialogs are presented.
>
> A work-around for the particular case is to use ns-open-file.
>
> I believe the purpose for ns-do-applescript was to send outgoing Applescript to
> other applications, so I'm unsure how important the general use-case is, but in
> any case the bug should be fixed or the ns-do-applescript function removed or
> disabled.